MODULE dom_ice
   !!======================================================================
   !!                   ***  MODULE  dom_ice  ***
   !! LIM-3 Sea Ice :   Domain  variables
   !!======================================================================
   !! History :  3.0  ! 2003-08  (M. Vancoppenolle)  LIM-3
   !!----------------------------------------------------------------------
   USE par_ice

   IMPLICIT NONE
   PRIVATE

   LOGICAL, PUBLIC ::   l_jeq = .TRUE.       !: Equator inside the domain flag

   INTEGER, PUBLIC ::   njeq , njeqm1        !: j-index of the equator if it is inside the domain

   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fs2cor     !: coriolis factor
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   fcor       !: coriolis coefficient
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   covrai     !: sine of geographic latitude
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   area       !: surface of grid cell 
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tms, tmi   !: temperature mask, mask for stress
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tmu, tmv   !: mask at u and v velocity points
   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tmf        !: mask at f-point

   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,2,2) ::   wght     !: weight of the 4 neighbours to compute averages

   !!----------------------------------------------------------------------
   !! NEMO/LIM 3.2, UCL-ASTR-LOCEAN-IPSL (2009)
   !! $Id$
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE dom_ice
